import { ElementRef, Renderer2, OnDestroy, AfterContentChecked } from '@angular/core';
export declare class ContextMenuComponent implements AfterContentChecked, OnDestroy {
    private element;
    private renderer;
    visible: boolean;
    visibleAnimate: boolean;
    data: any;
    private subscriptions;
    private menus;
    private directMenus;
    constructor(element: ElementRef, renderer: Renderer2);
    ngAfterContentChecked(): void;
    private clearInactive;
    setup(data: any, event: MouseEvent): boolean;
    show(x: any, y: any): void;
    hide(): void;
    onClick(): void;
    onContextMenu(ev: MouseEvent): boolean;
    onScroll(): void;
    ngOnDestroy(): void;
}
