import { OnDestroy, AfterContentChecked, OnInit, Renderer2, ElementRef } from '@angular/core';
import { ItemService } from '../services.ts/item.service';
export declare class ContextSubMenuComponent implements OnInit, AfterContentChecked, OnDestroy {
    private parentItem;
    private hostEl;
    private renderer;
    private directMenus;
    private childSubscriptions;
    private widthSubscription;
    constructor(parentItem: ItemService, hostEl: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    setPosition(_: number): void;
    ngAfterContentChecked(): void;
    private clearInactive;
    ngOnDestroy(): void;
}
