import { EventEmitter, OnInit, OnDestroy, ElementRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { ItemService } from '../services.ts/item.service';
export declare class ContextMenuItemComponent implements OnInit, OnDestroy {
    private itemService;
    private hostEl;
    private canDeactivate;
    activate: EventEmitter<boolean>;
    lastHoveredSubject: BehaviorSubject<boolean>;
    private lastHoveredField;
    private hasSubmenuField;
    private lastHoveredSubscription;
    private hasSubmenuSubscription;
    readonly hasSubmenu: boolean;
    readonly lastHovered: boolean;
    constructor(itemService: ItemService, hostEl: ElementRef);
    ngOnInit(): void;
    onHoverChange(_: boolean): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    setAsInActive(): void;
    hide(): void;
    ngOnDestroy(): void;
}
